MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
Daemon.hxx File Reference

Go to the source code of this file.

## Functions
void | daemonize_init (const char *user, const char *group, AllocatedPath &&pidfile)
void | daemonize_finish ()
void | daemonize_kill ()
| Kill the MPD which is currently running, pid determined from the pid file. More...
void | daemonize_close_stdin ()
| Close stdin (fd 0) and re-open it as /dev/null. More...
void | daemonize_set_user ()
| Change to the configured Unix user. More...
void | daemonize_begin (bool detach)
void | daemonize_commit ()

## Function Documentation

void daemonize_begin | ( | bool | detach | ) |

void daemonize_close_stdin | ( |  | ) |

Close stdin (fd 0) and re-open it as /dev/null.

void daemonize_commit | ( |  | ) |

void daemonize_finish | ( |  | ) |

void daemonize_init | ( | const char * | user,
|  | const char * | group,
|  | AllocatedPath && | pidfile
| ) |  |

void daemonize_kill | ( |  | ) |

Kill the MPD which is currently running, pid determined from the pid file.

void daemonize_set_user | ( |  | ) |

Change to the configured Unix user.